=== modified file 'olive.glade'
--- olive.glade	2007-02-01 14:52:43 +0000
+++ olive.glade	2007-02-04 12:05:45 +0000
@@ -341,6 +341,15 @@
 		      <signal name="activate" handler="on_menuitem_branch_missing_revisions_activate" last_modification_time="Sat, 02 Sep 2006 14:01:29 GMT"/>
 		    </widget>
 		  </child>
+		  
+		  <child>
+		    <widget class="GtkMenuItem" id="menuitem_branch_conflicts">
+		      <property name="visible">True</property>
+		      <property name="label" translatable="yes">Con_flicts...</property>
+		      <property name="use_underline">True</property>
+		      <signal name="activate" handler="on_menuitem_branch_conflicts_activate" last_modification_time="Sun, 04 Feb 2007 12:54:00 GMT"/>
+		    </widget>
+		  </child>
 		</widget>
 	      </child>
 	    </widget>

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2007-02-03 16:03:23 +0000
+++ olive/__init__.py	2007-02-04 12:05:45 +0000
@@ -44,6 +44,7 @@
 from bzrlib.plugins.gtk.annotate.gannotate import GAnnotateWindow
 from bzrlib.plugins.gtk.annotate.config import GAnnotateConfig
 from bzrlib.plugins.gtk.commit import CommitDialog
+from bzrlib.plugins.gtk.conflicts import ConflictsDialog
 from bzrlib.plugins.gtk.push import PushDialog
 
 class OliveGtk:
@@ -86,6 +87,7 @@
         self.menuitem_branch_commit = self.toplevel.get_widget('menuitem_branch_commit')
         self.menuitem_branch_status = self.toplevel.get_widget('menuitem_branch_status')
         self.menuitem_branch_missing = self.toplevel.get_widget('menuitem_branch_missing_revisions')
+        self.menuitem_branch_conflicts = self.toplevel.get_widget('menuitem_branch_conflicts')
         self.menuitem_stats = self.toplevel.get_widget('menuitem_stats')
         self.menuitem_stats_diff = self.toplevel.get_widget('menuitem_stats_diff')
         self.menuitem_stats_log = self.toplevel.get_widget('menuitem_stats_log')
@@ -126,6 +128,7 @@
                 "on_menuitem_branch_pull_activate": self.on_menuitem_branch_pull_activate,
                 "on_menuitem_branch_status_activate": self.on_menuitem_branch_status_activate,
                 "on_menuitem_branch_missing_revisions_activate": self.on_menuitem_branch_missing_revisions_activate,
+                "on_menuitem_branch_conflicts_activate": self.on_menuitem_branch_conflicts_activate,
                 "on_menuitem_stats_diff_activate": self.on_menuitem_stats_diff_activate,
                 "on_menuitem_stats_log_activate": self.on_menuitem_stats_log_activate,
                 "on_menuitem_stats_infos_activate": self.on_menuitem_stats_infos_activate,
@@ -244,6 +247,13 @@
             
             commit.destroy()
     
+    def on_menuitem_branch_conflicts_activate(self, widget):
+        """ Branch/Conflicts... menu handler. """
+        conflicts = ConflictsDialog(self.wt, self.window)
+        response = conflicts.run()
+        if response != gtk.RESPONSE_NONE:
+            conflicts.destroy()
+    
     def on_menuitem_branch_merge_activate(self, widget):
         """ Branch/Merge... menu handler. """
         from bzrlib.plugins.gtk.merge import MergeDialog
@@ -725,6 +735,7 @@
         self.menuitem_branch_commit.set_sensitive(not self.notbranch)
         self.menuitem_branch_status.set_sensitive(not self.notbranch)
         self.menuitem_branch_missing.set_sensitive(not self.notbranch)
+        self.menuitem_branch_conflicts.set_sensitive(not self.notbranch)
         self.menuitem_stats.set_sensitive(not self.notbranch)
         self.menuitem_add_files.set_sensitive(not self.notbranch)
         self.menuitem_remove_files.set_sensitive(not self.notbranch)

